#!/bin/bash
pkgname=kmenu-gnome
pkgver=1.2.3
# This is for Slackware 12 or later:
pkgrel=12
rm -rf slackware/{etc,usr}
mkdir -p slackware/etc/kde/xdg/menus/applications-merged
mkdir -p slackware/usr/doc/$pkgname-$pkgver
mkdir -p slackware/usr/share
cp --preserve=timestamps xdg/kmenu-gnome.menu \
slackware/etc/kde/xdg/menus/applications-merged
cp --preserve=timestamps ChangeLog COPYING GPL LGPL README \
slackware/usr/doc/$pkgname-$pkgver
cp -R --preserve=timestamps desktop-directories icons kmenu-gnome \
slackware/usr/share
cp --preserve=timestamps xdg/slackware-startkde.patch \
slackware/usr/share/kmenu-gnome
# Make package:
( cd slackware
makepkg -c y ../$pkgname-$pkgver-noarch-$pkgrel.tgz )
rm -rf slackware/{etc,usr}
